#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	5.26.4
%define		qtver		5.15.2
%define		kpname		plasma-nm
%define		kf5ver		5.39.0

Summary:	plasma-nm
Name:		kp5-%{kpname}
Version:	5.26.4
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	9b0fa4a7b7285c0eaaecc8f2cf4991b5
URL:		http://www.kde.org/
BuildRequires:	ModemManager-devel
BuildRequires:	NetworkManager-devel
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5Qml-devel >= %{qtver}
BuildRequires:	Qt5Quick-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-kcompletion-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdeclarative-devel
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kinit-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kitemviews-devel
BuildRequires:	kf5-knotifications-devel
BuildRequires:	kf5-kservice-devel
BuildRequires:	kf5-kwallet-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	kf5-modemmanager-qt-devel
BuildRequires:	kf5-networkmanager-qt-devel
BuildRequires:	kf5-plasma-framework-devel
BuildRequires:	kf5-solid-devel
BuildRequires:	ninja
BuildRequires:	openconnect-devel >= 3.99
BuildRequires:	pkgconfig
BuildRequires:	qca-qt5-devel >= 2.1.1
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
Plasma applet written in QML for managing network connections.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	../
%ninja_build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libplasmanm_editor.so
%attr(755,root,root) %{_libdir}/libplasmanm_internal.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kded/networkmanagement.so
%dir %{_libdir}/qt5/qml/org/kde/plasma/networkmanagement
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/plasma/networkmanagement/libplasmanm_qmlplugins.so
%{_libdir}/qt5/qml/org/kde/plasma/networkmanagement/qmldir
%{_datadir}/knotifications5/networkmanagement.notifyrc
%{_datadir}/plasma/plasmoids/org.kde.plasma.networkmanagement
%dir %{_datadir}/kcm_networkmanagement
%dir %{_datadir}/kcm_networkmanagement/qml
%{_datadir}/kcm_networkmanagement/qml/ConnectionItem.qml
%{_datadir}/kcm_networkmanagement/qml/ListItem.qml
%{_datadir}/kcm_networkmanagement/qml/main.qml
%{_datadir}/metainfo/org.kde.plasma.networkmanagement.appdata.xml
%{_datadir}/kcm_networkmanagement/qml/AddConnectionDialog.qml
%{_datadir}/kcm_networkmanagement/qml/ConfigurationDialog.qml
%dir %{_libdir}/qt5/plugins/plasma/network
%dir %{_libdir}/qt5/plugins/plasma/network/vpn
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_fortisslvpnui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_iodineui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_l2tpui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_openconnect_anyconnect.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_openconnect_globalprotectui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_openconnect_juniperui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_openconnect_pulseui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_openvpnui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_pptpui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_sshui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_sstpui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_strongswanui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_vpncui.so
%{_datadir}/qlogging-categories5/plasma-nm.categories
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/kcms/systemsettings_qwidgets/kcm_networkmanagement.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_libreswanui.so
%{_desktopdir}/kcm_networkmanagement.desktop

%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_openconnect_arrayui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_openconnect_f5ui.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/network/vpn/plasmanetworkmanagement_openconnect_fortinetui.so
%changelog
* Wed Nov 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-plasma-nm.git;a=log;h=master

* Tue Nov 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> ec1aa12
- updated to 5.26.4

* Wed Nov 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 269f2b9
- updated to 5.26.3

* Thu Oct 27 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 63fed0b
- updated to 5.26.2

* Wed Oct 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> fc28fb0
- updated to 5.26.1

* Wed Oct 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 913cfeb
- updated to 5.26.0

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 88cdc14
- rebuild with qt5-5.15.6

* Wed Sep 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2469cc6
- updated to 5.25.5

* Wed Aug 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5fa952d
- updated to 5.25.4

* Wed Jul 13 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 11324c8
- updated to 5.25.3

* Wed Jun 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 744ced5
- updated to 5.25.2

* Tue Jun 21 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 3c64204
- updated to 5.25.1

* Wed Jun 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 47d0352
- updated to 5.25.0

* Tue May 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> f3919b6
- updated to 5.24.5

* Wed Mar 30 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7aa221a
- updated to 5.24.4
- added bcond_with tests

* Wed Mar 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 164d9b2
- updated to 5.24.3

* Thu Feb 24 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6739378
- updated to 5.24.2

* Thu Feb 17 2022 Witold Filipczyk <witekfl@poczta.onet.pl> abdc00f
- updated to 5.24.1

* Thu Feb 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 83d3a06
- updated to 5.24.0

* Wed Jan 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 56b280c
- updated to 5.23.5

* Wed Dec 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bbb6b7c
- updated to 5.23.4

